<!DOCTYPE html>
<html lang="pt-br">
	<head>
		<meta charset="utf-8" />
		<meta name="author" content="Gabriel Roda" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />

		<!-- Primary Meta Tags -->
		<title>Timekeeper - Contador de Expediente</title>
		<meta name="title" content="Timekeeper - Contador de Expediente" />
		<meta
			name="description"
			content="Vários contadores relacionados à jornada de trabalho na Uniasselvi."
		/>

		<!-- Open Graph / Facebook -->
		<meta property="og:type" content="website" />
		<meta property="og:url" content="https://timekeeper.roda.directory/" />
		<meta property="og:title" content="Timekeeper - Contador de Expediente" />
		<meta
			property="og:description"
			content="Vários contadores relacionados à jornada de trabalho na Uniasselvi."
		/>
		<meta
			property="og:image"
			content="https://timekeeper.roda.directory/img/i-512.png"
		/>

		<!-- Twitter -->
		<meta property="twitter:card" content="summary_large_image" />
		<meta property="twitter:url" content="https://timekeeper.roda.directory/" />
		<meta
			property="twitter:title"
			content="Timekeeper - Contador de Expediente"
		/>
		<meta
			property="twitter:description"
			content="Vários contadores relacionados à jornada de trabalho na Uniasselvi."
		/>
		<meta
			property="twitter:image"
			content="https://timekeeper.roda.directory/img/i-512.png"
		/>

		<link rel="manifest" href="./manifest.json" />

		<link rel="shortcut icon" href="img/favicon.png" type="image/png" />

		<meta name="theme-color" content="#2F3BA2" />

		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
		<meta name="apple-mobile-web-app-title" content="Weather PWA" />
		<link rel="apple-touch-icon" href="./img/i-152.png" />

		<script
			async
			id="weatherwidget-io-js"
			src="https://weatherwidget.io/js/widget.min.js"
		></script>

		<script src="src/progressbar.min.js"></script>
		<script defer src="src/main.js"></script>

		<!-- color picker -->
		<link
			rel="stylesheet"
			href="https://cdn.jsdelivr.net/npm/@simonwep/pickr/dist/themes/monolith.min.css"
		/>
		<script src="https://cdn.jsdelivr.net/npm/@simonwep/pickr/dist/pickr.min.js"></script>

		<link
			href="https://fonts.googleapis.com/icon?family=Material+Icons"
			rel="stylesheet"
		/>
		<link
			href="https://fonts.googleapis.com/css?family=Expletus+Sans|Inconsolata|Quicksand&display=swap"
			rel="stylesheet"
		/>
		<link rel="stylesheet" href="src/normalize.css" />
		<link rel="stylesheet" href="src/style.css" />

		<!-- Google Tag Manager -->
		<script>
			(function (w, d, s, l, i) {
				w[l] = w[l] || [];
				w[l].push({
					"gtm.start": new Date().getTime(),
					event: "gtm.js",
				});
				var f = d.getElementsByTagName(s)[0],
					j = d.createElement(s),
					dl = l != "dataLayer" ? "&l=" + l : "";
				j.async = true;
				j.src = "https://www.googletagmanager.com/gtm.js?id=" + i + dl;
				f.parentNode.insertBefore(j, f);
			})(window, document, "script", "dataLayer", "GTM-K3H2ZN3");
		</script>
		<!-- End Google Tag Manager -->
	</head>

	<body>
		<!-- Google Tag Manager (noscript) -->
		<noscript
			><iframe
				src="https://www.googletagmanager.com/ns.html?id=GTM-K3H2ZN3"
				height="0"
				width="0"
				style="display: none; visibility: hidden"
			></iframe
		></noscript>
		<!-- End Google Tag Manager (noscript) -->

		<header id="header">
			<i class="material-icons">timelapse</i>
			<span>Timekeeper</span>
			<div id="toggle-config" onclick="toggleConfig()">
				<i class="material-icons">settings</i>
			</div>
		</header>

		<div class="config-pannel">
			<div class="wrapper">
				<div class="config-card horario flex">
					<a class="config-text">Trabalho até as: </a>

					<div>
						<input
							class="horas"
							type="number"
							min="0"
							max="23"
							step="1"
							value="17"
							onchange="setHours(this.value)"
						/>
						<span>:</span>
						<input
							class="minutos"
							type="number"
							min="0"
							max="55"
							step="5"
							value="55"
							onchange="setMinutes(this.value)"
						/>
					</div>
				</div>

				<div class="config-card card-bg flex">
					<div class="color-button start"></div>
					<div class="color-gradient"></div>
					<div class="color-button stop"></div>
				</div>
			</div>
		</div>

		<div id="top-panels" class="ordenable first-row">
			<div class="a-panel">
				<div class="progress-bar">
					<svg
						viewBox="0 0 100 20"
						preserveAspectRatio="none"
						style="width: 100%; height: 100%"
					>
						<path
							d="M 0,10 L 100,10"
							stroke="#eee"
							stroke-width="20"
							fill-opacity="0"
						></path>
						<path
							d="M 0,10 L 100,10"
							stroke="rgb(0,225,0)"
							stroke-width="20"
							fill-opacity="0"
							style="stroke-dasharray: 100, 100; stroke-dashoffset: 2"
						></path>
					</svg>
				</div>
				<div class="panel-title">EXPEDIENTE</div>

				<a class="panel-main">12 minutos e 41 segundos</a>
				<a class="panel-post">para o fim do expediente.</a>
			</div>
			<div class="a-panel">
				<div class="progress-bar">
					<svg
						viewBox="0 0 100 20"
						preserveAspectRatio="none"
						style="width: 100%; height: 100%"
					>
						<path
							d="M 0,10 L 100,10"
							stroke="#eee"
							stroke-width="20"
							fill-opacity="0"
						></path>
						<path
							d="M 0,10 L 100,10"
							stroke="rgb(1,224,0)"
							stroke-width="20"
							fill-opacity="0"
							style="stroke-dasharray: 100, 100; stroke-dashoffset: 12"
						></path>
					</svg>
				</div>
				<a class="panel-title">PAGAMENTO</a>

				<a class="panel-main">3 dias, 18 horas, 17 minutos e 41 segundos</a>
				<a class="panel-post">para o próximo pagamento.</a>
			</div>
			<div class="a-panel">
				<div class="progress-bar">
					<svg
						viewBox="0 0 100 20"
						preserveAspectRatio="none"
						style="width: 100%; height: 100%"
					>
						<path
							d="M 0,10 L 100,10"
							stroke="#eee"
							stroke-width="20"
							fill-opacity="0"
						></path>
						<path
							d="M 0,10 L 100,10"
							stroke="rgb(99,153,0)"
							stroke-width="20"
							fill-opacity="0"
							style="stroke-dasharray: 100, 100; stroke-dashoffset: 46"
						></path>
					</svg>
				</div>
				<a class="panel-title">FERIADO</a>

				<a class="panel-main">36 dias, 12 minutos e 41 segundos</a>
				<a class="panel-post">para o próximo feriado.</a>
			</div>
			<div class="a-panel">
				<div class="progress-bar">
					<svg
						viewBox="0 0 100 20"
						preserveAspectRatio="none"
						style="width: 100%; height: 100%"
					>
						<path
							d="M 0,10 L 100,10"
							stroke="#eee"
							stroke-width="20"
							fill-opacity="0"
						></path>
						<path
							d="M 0,10 L 100,10"
							stroke="rgb(70,174,0)"
							stroke-width="20"
							fill-opacity="0"
							style="stroke-dasharray: 100, 100; stroke-dashoffset: 41"
						></path>
					</svg>
				</div>
				<a class="panel-title">FERIAS</a>

				<a class="panel-main">140 dias, 23 horas, 12 minutos e 41 segundos</a>
				<a class="panel-post">para as férias coletivas.</a>
			</div>
		</div>
		<div class="second-row">
			<div class="forecast">
				<a
					class="weatherwidget-io"
					href="https://forecast7.com/pt/n26d90n49d24/indaial/"
					data-label_1="INDAIAL"
					data-label_2="O Inferno em Terra"
					data-font="Roboto"
					data-icons="Climacons Animated"
					data-days="3"
					data-theme="original"
					data-basecolor="rgba(31, 86, 124, 0)"
					style="
						display: block;
						position: relative;
						height: 934px;
						padding: 0px;
						overflow: hidden;
						text-align: left;
						text-indent: -299rem;
					"
					>INDAIAL O Inferno em Terra<iframe
						id="weatherwidget-io-0"
						title="Previsão do Tempo"
						class="weatherwidget-io-frame"
						scrolling="no"
						frameborder="0"
						width="100%"
						src="https://weatherwidget.io/w/"
						style="display: block; position: absolute; top: 0px; height: 934px"
					></iframe
				></a>
				<script>
					!(function (d, s, id) {
						var js,
							fjs = d.getElementsByTagName(s)[0];
						if (!d.getElementById(id)) {
							js = d.createElement(s);
							js.id = id;
							js.src = "https://weatherwidget.io/js/widget.min.js";
							fjs.parentNode.insertBefore(js, fjs);
						}
					})(document, "script", "weatherwidget-io-js");
				</script>
			</div>

			<!-- TradingView Widget BEGIN -->
			<div class="vitru">
				<div class="tradingview-widget-container">
					<div class="tradingview-widget-container__widget"></div>

					<script
						type="text/javascript"
						src="https://s3.tradingview.com/external-embedding/embed-widget-mini-symbol-overview.js"
						async
					>
						{
						    "symbol": "NASDAQ:VTRU",
						    "width": "100%",
						    "height": "100%",
						    "locale": "br",
						    "dateRange": "1M",
						    "colorTheme": "dark",
						    "trendLineColor": "#fff",
						    "underLineColor": "rgba(55, 166, 239, 0.15)",
						    "isTransparent": true,
						    "autosize": true,
						    "largeChartUrl": ""
						}
					</script>
				</div>
			</div>
			<!-- TradingView Widget END -->
		</div>

		<div id="calendario">
			<img src="img/2021.svg" alt="Calendário Administrativo" />
		</div>

		<!-- firebase config -->
		<script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-app.js"></script>
		<script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-auth.js"></script>
		<script src="https://www.gstatic.com/firebasejs/7.3.0/firebase-firestore.js"></script>

		<script>
			// Your web app's Firebase configuration
			var firebaseConfig = {
				apiKey: "AIzaSyBOLyOQ6-g3VqotQf7pCej4CAhVXvC0oYY",
				authDomain: "timekeeper-d9a0a.firebaseapp.com",
				databaseURL: "https://timekeeper-d9a0a.firebaseio.com",
				projectId: "timekeeper-d9a0a",
				storageBucket: "timekeeper-d9a0a.appspot.com",
				messagingSenderId: "190447151292",
				appId: "1:190447151292:web:ccee2963c0e8eeb9f688b9",
			};
			// Initialize Firebase
			firebase.initializeApp(firebaseConfig);

			let fs = firebase.firestore();
		</script>
	</body>
</html>
